%bcond_without check

%global goipath         github.com/mitchellh/reflectwalk
Version:                1.0.1

%gometa

%global common_description %{expand:
Reflectwalk is a Go library for "walking" a value in Go using reflection, in the
same way a directory tree can be "walked" on the filesystem. Walking a complex
structure can allow you to do manipulations on unknown structures such as those
decoded from JSON.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for "walking" complex structures, similar to walking a filesystem

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%pretrans devel -p <lua>
path = "%{gopath}/src/%{goipath}/glide.lock"
st = posix.stat(path)
if st and st.type == "directory" then
  os.remove(path)
end

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
